Skip to main content
GET
/
v1
/
transaction-purposes
cURL
curl --request GET \
  --url https://{base_url}/v1/transaction-purposes \
  --header 'Authorization: <authorization>'
{
  "data": {
    "pagination": {
      "current_page": 1,
      "per_page": 10,
      "total_page": 1,
      "total": 7
    },
    "transaction_purposes": [
      {
        "id": "1",
        "title": "Send to Family & Friends"
      },
      {
        "id": "2",
        "title": "Pay for Goods/Services"
      },
      {
        "id": "3",
        "title": "Receive Income"
      },
      {
        "id": "4",
        "title": "Educational Expense"
      },
      {
        "id": "5",
        "title": "Charity & Donations"
      },
      {
        "id": "6",
        "title": "Engaging in investment activities"
      },
      {
        "id": "7",
        "title": "Paying Self"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.fin.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
default:Bearer {{client_access_token}}
required

Query Parameters

type
enum<string>
required
Available options:
INDIVIDUAL,
BUSINESS
per_page
number
default:10
required

By default 10

current_page
number
default:1
required

By default starts from 1

Response

200 - application/json

OK - Individuals

data
object